Bug 446539 - evo creates duplicate mails in imap folder
evo creates duplicate mails in imap folder
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 19:36 EDT by David Woodhouse
Modified: 2009-07-14 12:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:00:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2008-05-14 19:36:27 EDT
A weird thing just happened. I think Evolution just copied _every_ mail in my
bugzilla folder, and now I have two copies of each one -- all the new ones
marked as unread.

When I selected the folder, it took a few seconds to open as usual, but then the
number of unread mails just kept counting up, one at a time. I'm sure it was
Evolution because after I killed Evolution and investigated, I see that all the
mails show Evolution's characteristic corruption of whitespace in headers, as
described in bug 79739 (sic) in 2002:

-X-Spam-Report: SpamAssassin version 3.2.4 on pentafluge.infradead.org summary:
-	Content analysis details:   (-3.6 points, 5.0 required)
-	pts rule name              description
-	---- ---------------------- --------------------------------------------------
-	-4.0 RCVD_IN_DNSWL_MED      RBL: Sender listed at http://www.dnswl.org/,
medium trust
-	[209.132.177.92 listed in list.dnswl.org]
-	0.4 SUBJECT_FUZZY_TION     Attempt to obfuscate words in Subject:
+X-Spam-Report: SpamAssassin version 3.2.4 on pentafluge.infradead.org
+	summary: Content analysis details:   (-3.6 points, 5.0 required) pts rule
+	name              description ---- ----------------------
+	-------------------------------------------------- -4.0 RCVD_IN_DNSWL_MED  
+	RBL: Sender listed at http://www.dnswl.org/, medium trust [209.132.177.92
+	listed in list.dnswl.org] 0.4 SUBJECT_FUZZY_TION     Attempt to obfuscate
+	words in Subject:


I'm also fairly sure I saw 'CREATE' streaming past when I straced the imap
server, before I killed Evolution.

It hasn't done it again after restarting it. I've never seen anything like this
before. It may be relevant that I recently ran my 'archive mail' script, from
http://david.woodhou.se/archivemail.sh -- although that's no excuse.

I haven't got round to building my own Evolution for F9; this is unmolested
evolution-data-server-2.22.1-2.fc9 and evolution-2.22.1-2.fc9
Comment 1 Matthew Barnes 2008-05-14 21:06:42 EDT
This kind of thing has happened to me before when I accidentally drag-n-drop a
folder.  It's especially fun when you drag-n-drop the folder you're viewing into
the message list -- keeps duplicating messages ad infinitum.

Think that might've been what happened here?

The evolution-remove-duplicates package might help you clean up the damage.
Comment 3 Mike Chambers 2009-03-07 09:34:49 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you. 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 David Woodhouse 2009-03-07 11:06:55 EST
I suppose it's possible that I could have done that. Is it possible to disable drag-and-drop of folders? I've _never_ wanted to do that, and it's a horrid thing when it actually happens. I live in fear of my father accidentally doing it.

Dropping the _current_ folder into the message list and thus duplicating everything in it sounds like an entirely stupid thing to 'support'.
Comment 5 David Woodhouse 2009-03-07 11:07:32 EST
Besides, evo should be using COPY for that, not CREATE. That way, it wouldn't corrupt all the mail while it was at it...
Comment 6 Bug Zapper 2009-06-09 20:50:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 12:00:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.